## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Class JDBCParameterType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.JDBCParameterType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class JDBCParameterType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'JDBC Parameter Type', and utility methods for working with them. This class maps to JDBC DatabaseMetadata.procedureColumnXXX types.

See Also:
  `SybasesqlmodelPackage.getJDBCParameterType()`, Serialized Form

Field Summary
`static int` `IN` The 'In' literal value.
`static JDBCParameterType` `IN_LITERAL` The 'In' literal object.
`static int` `IN_OUT` The 'In Out' literal value.
`static JDBCParameterType` `IN_OUT_LITERAL` The 'In Out' literal object.
`static int` `OUT` The 'Out' literal value.
`static JDBCParameterType` `OUT_LITERAL` The 'Out' literal object.
`static int` `RESULT` The 'Result' literal value.
`static JDBCParameterType` `RESULT_LITERAL` The 'Result' literal object.
`static int` `RETURN` The 'Return' literal value.
`static JDBCParameterType` `RETURN_LITERAL` The 'Return' literal object.
`static int` `UNKNOWN` The 'Unknown' literal value.
`static JDBCParameterType` `UNKNOWN_LITERAL` The 'Unknown' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'JDBC Parameter Type' enumerators.

Method Summary
`static JDBCParameterType` `get(int value)` Returns the 'JDBC Parameter Type' literal with the specified integer value.
`static JDBCParameterType` `get(java.lang.String literal)` Returns the 'JDBC Parameter Type' literal with the specified literal value.
`static JDBCParameterType` `getByName(java.lang.String name)` Returns the 'JDBC Parameter Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  The 'Unknown' literal value.

  If the meaning of 'Unknown' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNKNOWN_LITERAL`, Constant Field Values

### IN

    public static final int IN

  The 'In' literal value.

  If the meaning of 'In' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IN_LITERAL`, Constant Field Values

### IN_OUT

    public static final int IN_OUT

  The 'In Out' literal value.

  If the meaning of 'In Out' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IN_OUT_LITERAL`, Constant Field Values

### RESULT

    public static final int RESULT

  The 'Result' literal value.

  If the meaning of 'Result' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESULT_LITERAL`, Constant Field Values

### OUT

    public static final int OUT

  The 'Out' literal value.

  If the meaning of 'Out' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OUT_LITERAL`, Constant Field Values

### RETURN

    public static final int RETURN

  The 'Return' literal value.

  If the meaning of 'Return' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RETURN_LITERAL`, Constant Field Values

### UNKNOWN_LITERAL

    public static final JDBCParameterType UNKNOWN_LITERAL

  The 'Unknown' literal object.

  See Also:
    `UNKNOWN`

### IN_LITERAL

    public static final JDBCParameterType IN_LITERAL

  The 'In' literal object.

  See Also:
    `IN`

### IN_OUT_LITERAL

    public static final JDBCParameterType IN_OUT_LITERAL

  The 'In Out' literal object.

  See Also:
    `IN_OUT`

### RESULT_LITERAL

    public static final JDBCParameterType RESULT_LITERAL

  The 'Result' literal object.

  See Also:
    `RESULT`

### OUT_LITERAL

    public static final JDBCParameterType OUT_LITERAL

  The 'Out' literal object.

  See Also:
    `OUT`

### RETURN_LITERAL

    public static final JDBCParameterType RETURN_LITERAL

  The 'Return' literal object.

  See Also:
    `RETURN`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'JDBC Parameter Type' enumerators.

Method Detail

### get

    public static JDBCParameterType get(java.lang.String literal)

  Returns the 'JDBC Parameter Type' literal with the specified literal value.

### getByName

    public static JDBCParameterType getByName(java.lang.String name)

  Returns the 'JDBC Parameter Type' literal with the specified name.

### get

    public static JDBCParameterType get(int value)

  Returns the 'JDBC Parameter Type' literal with the specified integer value.